<?php
if (!isset($_POST['ok']))
{
	echo "<fieldset>\n";
	echo "	<legend>neue Eingangsrechnung hinzuf&uuml;gen</legend>\n";
	echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "		<input type=\"hidden\" name=\"formaction\" value=\"radd\" />\n";
	echo "		<label>Firma</label>\n";
	echo "		<input type=\"text\" name=\"Kontakt\" />\n";
	echo "		<br />\n";
	echo "		<label>Rechnungsnummer</label>\n";
	echo "		<input type=\"text\" name=\"Re_Nr\" />\n";
	echo "		<br />\n";
	echo "		<label>Rechnungsdatum</label>\n";
	echo "		<input type=\"text\" name=\"Re_Datum\" />\n";
	echo "		<img src=\"img/small_info.png\" alt=\"<TT.MM.JJJJ>\" title=\"Datum der Form: <TT.MM.JJJJ>\" />\n";
	echo "		<br />\n";
	echo "		<label>Nettobetrag</label>\n";
	echo "		<input onkeydown=\"this.value=this.value.replace(',','.');\"\" type=\"text\" name=\"Preis\" value=\"\" />\n";
	echo "		<br />\n";
	echo "		<label>Mehrwertsteuersatz in %</label>\n";
	echo "		<input type=\"text\" name=\"MwSt\" value=\"" . $_SESSION['Firma']['MwSt'] . "\" />\n";
	echo "		<br />\n";
	echo "		<label>Bezahlt am</label>\n";
	echo "		<input type=\"text\" name=\"Bezahlt_am\" />\n";
	echo "		<img src=\"img/small_info.png\" alt=\"<TT.MM.JJJJ>\" title=\"Datum der Form: <TT.MM.JJJJ>\" />\n";
	echo "		<br />\n";
	echo "		<input type=\"submit\" class=\"button_ok\" name=\"ok\" value=\"1\" title=\"&Uuml;bernehmen\" />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}
else
{
	$nt = explode(".", $_POST['Re_Datum']);
	$Re_Datum = $nt['2'] . "-" . $nt['1'] . "-" . $nt['0'];
	$nt_bez = explode(".", $_POST['Bezahlt_am']);
	$Bezahlt_am = $nt_bez['2'] . "-" . $nt_bez['1'] . "-" . $nt_bez['0'];
	if (3 != sizeof($nt))
	{
		echo "<h1>Bitte &uuml;berpr&uuml;fen Sie das Format des <i>Rechnungsdatums</i> bei der Eingabe!</h1>\n";
		echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
	}
	else
	{
		if (4 != strlen($nt['2']))
		{
			echo "<h1>Bitte &uuml;berpr&uuml;fen Sie das Format des <i>Rechnungsdatums</i> bei der Eingabe!</h1>\n";
			echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
		}
		else
		{
			if (checkdate($nt['1'], $nt['0'], $nt['2']))
			{
				if (3 != sizeof($nt_bez))
				{
					echo "<h1>Bitte &uuml;berpr&uuml;fen Sie das Format des Datums: <i>Bezahlt am</i> bei der Eingabe!</h1>\n";
					echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
				}
				else
				{
					if (4 != strlen($nt_bez['2']))
					{
						echo "<h1>Bitte &uuml;berpr&uuml;fen Sie das Format des Datums: <i>Bezahlt am</i> bei der Eingabe!</h1>\n";
						echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
					}
					else
					{
						if (checkdate($nt_bez['1'], $nt_bez['0'], $nt_bez['2']))
						{
							$sql = 'INSERT INTO ' . PREFIX . '_Eingang (Jahr, ID, Kontakt, Re_Nr, Re_Datum, Preis, MwSt, Bezahlt_am) VALUES (' . date("Y", strtotime($Bezahlt_am)) . ', NULL, "' . $_POST['Kontakt'] . '", "' . $_POST['Re_Nr'] . '", "' . $Re_Datum . '", "' . $_POST['Preis'] . '", "' . $_POST['MwSt'] . '", "' . $Bezahlt_am . '")';
							$stmt = $db->prepare($sql);
							if (!$stmt)
							{
								die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
							}
							if (!$stmt->execute())
							{
								die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
							}
							echo "<h1>Die Eingangsrechnung wurde eingetragen!</h1>";
						}
						else
						{
							echo "<h1>Bitte &uuml;berpr&uuml;fen Sie das eingegebene Datum!</h1>\n";
							echo "<h2>Das Datum <i>" . $_POST['Bezahlt_am'] . "</i> existiert nicht!</h2>\n";
						}
					}
				}
			}
			else
			{
				echo "<h1>Bitte &uuml;berpr&uuml;fen Sie das eingegebene Datum!</h1>\n";
				echo "<h2>Das Datum <i>" . $_POST['Re_Datum'] . "</i> existiert nicht!</h2>\n";
			}
		}
	}
}